#include <time.h>
#include <sys/time.h>
#include <ftlib.h>

char *
gettimestr(struct fttime tp)
{
     struct tm *tm;
     static char buf[50];

     tm = localtime((time_t *)(&tp.secs));

     sprintf(buf, "%02d/%02d/%04d %02d:%02d:%02d",
             tm->tm_mon+1,
             tm->tm_mday,
             tm->tm_year+1900,
             tm->tm_hour,
             tm->tm_min,
             tm->tm_sec);

     return buf;
}

